
Figure - Bug #118903
【AF】【EVT3】【Monkey】113版本Monkey测试异常停止
2023-06-27 10:40 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-27

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 113

Resolution: DUPLICATE Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause: 与 #118893 device1的问题是同件问题

Description

【执行命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes

--pct-syskeys 0 -v -v -v 12000000 2>/sdcard/error.txt 1>/sdcard/info.txt

【测试结果】

设备进入屏保

History

#1 - 2023-06-27 10:41 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118903

#2 - 2023-06-27 19:55 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- Resolution changed from -- to DUPLICATE

- Root cause set to 与 #118893 device1的问题是同件问题

与 #118893 device1的问题是同件问题，请使用0627及之后的版本测试

------------------

000425_persist_01704_230627_042236.log:115: 06-27 04:22:36.304  4669  4683 I Monkey  :     // Allowing start of Intent { act=android.intent.action.MAIN

cat=[android.intent.category.LAUNCHER] cmp=com.android.settings/.homepage.SettingsHomepageActivity } in package com.android.settings

000425_persist_01704_230627_042236.log:287: 06-27 04:22:36.582  4669  4669 I Monkey  : :Switch:

#Intent;action=android.intent.action.MAIN;category=android.intent.category.LAUNCHER;launchFlags=0x10200000;component=com.qiyi.video.pad/com.qiyi.video.W

elcomeActivity;end

000425_persist_01704_230627_042236.log:290: 06-27 04:22:36.583  4669  4669 I Monkey  :     // Allowing start of Intent { act=android.intent.action.MAIN

cat=[android.intent.category.LAUNCHER] cmp=com.qiyi.video.pad/com.qiyi.video.WelcomeActivity } in package com.qiyi.video.pad

000425_persist_01704_230627_042236.log:453: 06-27 04:22:36.615  4669  4669 W Monkey  : * Error: A RuntimeException occurred:

000425_persist_01704_230627_042236.log:454: 06-27 04:22:36.615  4669  4669 W Monkey  : java.lang.NullPointerException: Attempt to read from field 'int

com.android.server.wm.Task.mAffiliatedTaskId' on a null object reference

000425_persist_01704_230627_042236.log:455: 06-27 04:22:36.615  4669  4669 W Monkey  :     at android.os.Parcel.createExceptionOrNull(Parcel.java:2431)

000425_persist_01704_230627_042236.log:456: 06-27 04:22:36.615  4669  4669 W Monkey  :     at android.os.Parcel.createException(Parcel.java:2409)

000425_persist_01704_230627_042236.log:457: 06-27 04:22:36.615  4669  4669 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2392)
000425_persist_01704_230627_042236.log:458: 06-27 04:22:36.615  4669  4669 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2334)

000425_persist_01704_230627_042236.log:459: 06-27 04:22:36.615  4669  4669 W Monkey  :     at

android.app.IActivityManager$Stub$Proxy.startActivityAsUserWithFeature(IActivityManager.java:8620)

000425_persist_01704_230627_042236.log:460: 06-27 04:22:36.615  4669  4669 W Monkey  :     at

com.android.commands.monkey.MonkeyActivityEvent.injectEvent(MonkeyActivityEvent.java:73)

000425_persist_01704_230627_042236.log:461: 06-27 04:22:36.615  4669  4669 W Monkey  :     at

com.android.commands.monkey.Monkey.runMonkeyCycles(Monkey.java:1219)

000425_persist_01704_230627_042236.log:462: 06-27 04:22:36.615  4669  4669 W Monkey  :     at com.android.commands.monkey.Monkey.run(Monkey.java:710)

000425_persist_01704_230627_042236.log:463: 06-27 04:22:36.615  4669  4669 W Monkey  :     at com.android.commands.monkey.Monkey.main(Monkey.java:570)

000425_persist_01704_230627_042236.log:464: 06-27 04:22:36.615  4669  4669 W Monkey  :     at com.android.internal.os.RuntimeInit.nativeFinishInit(Native Method)

000425_persist_01704_230627_042236.log:465: 06-27 04:22:36.615  4669  4669 W Monkey  :     at com.android.internal.os.RuntimeInit.main(RuntimeInit.java:355)

000425_persist_01704_230627_042236.log:466: 06-27 04:22:36.615  4669  4669 W Monkey  : Caused by: android.os.RemoteException: Remote stack trace:

000425_persist_01704_230627_042236.log:467: 06-27 04:22:36.615  4669  4669 W Monkey  :     at com.android.server.wm.RecentTasks.add(RecentTasks.java:1129)

000425_persist_01704_230627_042236.log:468: 06-27 04:22:36.615  4669  4669 W Monkey  :     at

com.android.server.wm.ActivityStarter.startActivityInner(ActivityStarter.java:1843)

000425_persist_01704_230627_042236.log:469: 06-27 04:22:36.615  4669  4669 W Monkey  :     at

com.android.server.wm.ActivityStarter.startActivityUnchecked(ActivityStarter.java:1576)

000425_persist_01704_230627_042236.log:470: 06-27 04:22:36.615  4669  4669 W Monkey  :     at

com.android.server.wm.ActivityStarter.executeRequest(ActivityStarter.java:1183)

000425_persist_01704_230627_042236.log:471: 06-27 04:22:36.615  4669  4669 W Monkey  :     at com.android.server.wm.ActivityStarter.execute(ActivityStarter.java:671)

000425_persist_01704_230627_042236.log:472: 06-27 04:22:36.615  4669  4669 W Monkey  :

000425_persist_01704_230627_042236.log:473: 06-27 04:22:36.615  4669  4669 I Monkey  : Events injected: 188662

000425_persist_01704_230627_042236.log:475: 06-27 04:22:36.616  4669  4669 I Monkey  : :Sending rotation degree=0, persist=false

000425_persist_01704_230627_042236.log:1133: 06-27 04:22:38.653  4669  4669 I Monkey  : // Generated profiling reports in /data/misc

000425_persist_01704_230627_042236.log:1138: 06-27 04:22:38.656  4669  4669 I Monkey  : :Dropped: keys=90 pointers=13 trackballs=0 flips=0 rotations=0

000425_persist_01704_230627_042236.log:1140: 06-27 04:22:38.656  4669  4669 I Monkey  : ## Network stats: elapsed time=33687525ms (0ms mobile, 0ms wifi,

33687525ms not connected)

000425_persist_01704_230627_042236.log:1141: 06-27 04:22:38.657  4669  4669 W Monkey  : * System appears to have crashed at event 188662 of 32000000 using seed

1234567

#3 - 2023-07-25 16:27 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

7.25

该问题给出了明确的修复方案，如有新的monkey停止再另起票

先关闭此问题

#4 - 2023-07-25 16:28 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
